%define module_name DiaColloDB
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/BinarySearch/Vec.pm) perl(DB_File.pm) perl(DDC/Concordance.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Map.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(IPC/Run.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Log/Log4perl.pm) perl(PDL.pm) perl(PDL/CCS.pm) perl(PDL/CCS/IO/FastRaw.pm) perl(PDL/Core/Dev.pm) perl(PDL/IO/FastRaw.pm) perl(PDL/VectorValued.pm) perl(Test/More.pm) perl(Tie/File/Indexed.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(XML/LibXML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12.011
Release: alt4
Summary: Diachronic collocation index
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MO/MOOCOW/%{module_name}-%{version}.tar.gz

%description
The DiaColloDB package is the top-level module
for the DiaColloDB diachronic collocation database package.
As a Perl class, a DiaColloDB object can be used to create
or query a local native database instance.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR
BuildArch: noarch

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.rpod README.txt
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.12.011-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.12.011-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.12.011-alt2
- rebuild with perl 5.30

* Wed Apr 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.011-alt1
- updated by package builder

* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.010-alt1
- new version

